/2025-04/marketing-solutions/advertisers/{advertiser-id}/ads
curl --request GET \
--url https://api.criteo.com/2025-04/marketing-solutions/advertisers/{advertiser-id}/ads \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.criteo.com/2025-04/marketing-solutions/advertisers/{advertiser-id}/ads"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.criteo.com/2025-04/marketing-solutions/advertisers/{advertiser-id}/ads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"attributes": {
"adClickTracking": [
{
"bindingId": "<string>",
"clickZone": "Unknown",
"disableForCoupons": true,
"disableLandingUrlEncode": true,
"disableMacroUrlEncode": true,
"displayHeight": 123,
"displayWidth": 123,
"id": "<string>",
"urlPrefix": "<string>",
"urlSuffix": "<string>"
}
],
"adDeliveryStatus": "Live",
"adImpressionTracking": [
{
"bindingId": "<string>",
"displayHeight": 123,
"displayWidth": 123,
"id": "<string>",
"url": "<string>",
"vendorId": "<string>"
}
],
"adSetId": "<string>",
"creativeId": "<string>",
"description": "<string>",
"endDate": "<string>",
"id": "<string>",
"inventoryType": "Native",
"name": "<string>",
"startDate": "<string>"
},
"id": "<string>",
"type": "<string>"
}
],
"errors": [
{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"source": {},
"stackTrace": "<string>",
"title": "<string>",
"traceId": "<string>",
"traceIdentifier": "<string>",
"type": "unknown"
}
],
"warnings": [
{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"source": {},
"stackTrace": "<string>",
"title": "<string>",
"traceId": "<string>",
"traceIdentifier": "<string>",
"type": "unknown"
}
]
}/2025-04/marketing-solutions/advertisers/{advertiser-id}/ads
Lists the ads of one advertiser, each one binding a creative to an ad set. Use it to find an ad id before reading, pausing, unpausing or deleting a single ad. Page through the ads with limit and offset.
GET
/
2025-04
/
marketing-solutions
/
advertisers
/
{advertiser-id}
/
ads
/2025-04/marketing-solutions/advertisers/{advertiser-id}/ads
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The advertiser identifier.
Query Parameters
The number of ads to be returned. The default is 50.
The (zero-based) offset into the collection of ads. The default is 0.
Response
200 - application/json
The list of self-services Ads is returned.
Was this page helpful?